import static java.lang.System.*;

public class LocatingLargest
{
	public static void printIt( int[] numbers  )
	{
		for( int largest : numbers )
		{
			out.print(largest + " ");
		}
	}
	
	public static void locateIt( int[] numbers )
	{
		for ( int slot : numbers )
		{
			out.print( slot );
		}
	}
	
	public static void main(String[] args )
	{
		int[] numbers = new int[10];
		int largest = Integer.MIN_VALUE;
		int slot;
		
		for ( largest=0 ; largest<numbers.length ; largest++ )
		{
			numbers[largest] = 1 + (int)(Math.random()*100);
		}
		
		for ( int i=0; i<numbers.length; i++ )
		{
			if ( numbers[i] > largest )
			{
				largest = numbers[i];
			}
		}
		
		System.out.print("Array: ");
		printIt( numbers );
		System.out.println();
		System.out.println();
		System.out.println( "The largest value is " + largest );
		System.out.println( "\nIt is in slot " + slot );
		//locateIt( slot );
	}
}